cURL
curl --request GET \
--url https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eda.prisme.ai/v2/workspaces/{workspaceId}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workspaceId": "<string>",
"beforeDate": "<string>",
"afterDate": "<string>",
"total": {
"transactions": 123,
"httpTransactions": 123,
"eventTransactions": 123,
"scheduleTransactions": 123,
"sessions": 123,
"users": 123
},
"apps": [
{
"slug": "<string>",
"total": {
"custom": {}
},
"appInstances": [
{
"slug": "<string>",
"total": {
"custom": {}
}
}
]
}
],
"interval": "<string>",
"timeseries": [
{
"date": "<string>",
"total": {
"transactions": 123,
"httpTransactions": 123,
"eventTransactions": 123,
"scheduleTransactions": 123,
"sessions": 123,
"users": 123
},
"apps": [
{
"slug": "<string>",
"total": {
"custom": {}
},
"appInstances": [
{
"slug": "<string>",
"total": {
"custom": {}
}
}
]
}
]
}
]
}{
"error": "BadParameters",
"message": "<string>",
"details": "<unknown>"
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ForbiddenError",
"message": "Forbidden"
}{
"error": "ObjectNotFound",
"message": "<string>"
}Prisme.ai Events
Get v2workspaces usage
Retrieve workspace usage stats
GET
/
v2
/
workspaces
/
{workspaceId}
/
usage
cURL
Authorizations
BearerAuthWorkspaceApiKeyAuthBearerAuth & WorkspaceApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of workspace to listen to
Query Parameters
Retrieve usage stats after this ISO8601 formatted date.
Retrieve usage stats before this ISO8601 formatted date.
If specified, this field will add a field to the result containing the usage over time at the specified interval. The queried data will be found in the timeseries field.
Available options:
month, day Includes individual appInstances details
Was this page helpful?
⌘I